# Reading bank withdrawal

<mark style="color:green;">`GET`</mark> `/api/public/v1/transactions/bank_withdrawals/:id`

This endpoint returns details of a particular bank withdrawal by its ID.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**Path Parameters**

| Name | Value               |
| ---- | ------------------- |
| id   | Bank withdrawal ID. |

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": {
    "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa",
    "type": "transactions",
    "attributes": {
      "createdAt": "2024-12-11T16:23:37.732Z",
      "simplifiedState": "completed",
      "transactionType": "BankWithdrawalTransaction",
      "amount": "-1.01",
      "reference": null
    },
    "relationships": {
      "account": {
        "meta": {
          "included": false
        }
      },
      "transactionDetails": {
        "data": {
          "type": "bank_withdrawal_transactions",
          "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa"
        }
      }
    }
  },
  "included": [
    {
      "id": "8ba506eb-0a5e-4518-9f64-9fcb399691aa",
      "type": "bank_withdrawal_transactions",
      "attributes": {
        "absorbFees": true,
        "createdAt": "2024-12-11T16:23:37.690Z",
        "updatedAt": "2024-12-11T16:23:37.690Z",
        "state": "completed",
        "iban": "LT563400023810000822",
        "beneficiaryName": "Acme",
        "reference": "Fiat payout from Txn to Acme",
        "paymentStatus": "created",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME",
        "currency": "EUR",
        "amount": "1.01",
        "payAmount": "1.00",
        "fee": "0.01"
      },
      "relationships": {
        "bankAccount": {
          "data": {
            "type": "bank_accounts",
            "id": "a754cd82-74a0-4c1c-a832-e83445bce2c5"
          }
        },
        "account": {
          "data": {
            "type": "accounts",
            "id": "acd50522-de49-4aaa-a183-dc046ff27fd5"
          }
        }
      }
    },
    {
      "id": "a754cd82-74a0-4c1c-a832-e83445bce2c5",
      "type": "bank_accounts",
      "attributes": {
        "beneficiaryName": "Acme",
        "currencyCode": "EUR",
        "iban": "LT563400023810000822",
        "createdAt": "2024-12-07T11:42:27.571Z",
        "updatedAt": "2024-12-07T11:42:27.571Z",
        "bankBic": "GXPTLT22XXX",
        "bankName": "BANK NAME"
      }
    },
    {
      "id": "acd50522-de49-4aaa-a183-dc046ff27fd5",
      "type": "accounts",
      "attributes": {
        "currencyCode": "EUR",
        "balance": "25609.70",
        "currencyType": "fiat"
      },
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/fiat-settlements/reading-bank-withdrawal.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
